import React from 'react';
import { useAuth } from '@payloadcms/config-provider';
import { useForm } from '../../forms/Form/context';
import Button from '../Button';
const baseClass = 'preview-btn';
const PreviewButton = ({ generatePreviewURL }) => {
    const { token } = useAuth();
    const { getFields } = useForm();
    const fields = getFields();
    if (generatePreviewURL && typeof generatePreviewURL === 'function') {
        const previewURL = generatePreviewURL(fields, token);
        return (React.createElement(Button, { el: "anchor", className: baseClass, buttonStyle: "secondary", url: previewURL }, "Preview"));
    }
    return null;
};
export default PreviewButton;
