/* eslint-disable jsx-a11y/click-events-have-key-events */
import React from 'react';
import Thumbnail from '../Thumbnail';
import './index.scss';
const baseClass = 'upload-card';
const UploadCard = (props) => {
    const { onClick, mimeType, sizes, filename, collection: { upload: { adminThumbnail, staticURL, } = {}, } = {}, } = props;
    const classes = [
        baseClass,
        typeof onClick === 'function' && `${baseClass}--has-on-click`,
    ].filter(Boolean).join(' ');
    return (React.createElement("div", { className: classes, onClick: typeof onClick === 'function' ? onClick : undefined },
        React.createElement(Thumbnail, Object.assign({ size: "expand" }, {
            mimeType, adminThumbnail, sizes, staticURL, filename,
        })),
        React.createElement("div", { className: `${baseClass}__filename` }, filename)));
};
export default UploadCard;
